AOZ Studio Beta - Bug #238

Most tags don't allow comments
02/18/2020 09:57 PM - Paul Kitching

Status: Closed Start date: 02/18/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.4

Description

Compiler error:
Compiler error:
Compiler error:
Compiler error:
Compiler error:

illegal tag parameter tag: manifest
illegal tag parameter tag: fullscreen
illegal tag parameter tag: fps

illegal tag parameter tag: googlefont
illegal tag parameter tag: splashscreen

Those are the errors if you have a comment after any of those tags.

#manifest: "pc" // error

#displayWidth:1920 // The resolution width of a HD monitor
#displayHeight:1080 // And the height.

#fullScreen:true // error

#googleFont:"baloo" // error

#splashScreen:false // error

#fps:false // error

History

#1 - 02/21/2020 06:32 PM - Francois Lionet

- Status changed from New to Resolved

Fixed. Yet, only ONE tag per line are supported, and it will not change ;) ...

#2 - 02/22/2020 07:57 AM - Anonymous

Yes, one tag per line makes sense. Those are special!

Did you also allow for ' and /* */ comments, as well as // ?

#3 - 03/07/2020 03:05 PM - Baptiste Pillot

- Status changed from Resolved to Closed

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/490

e run : https://www.amos2.fr/run/tickleman/238

e result : no error

Francois Lionet : still missing the answer to the question about /* */ or // : you can leave a dedicated support issue to ask it again if needed,

@PaulKitching.
